<?
$kolhoz_key=1;
if(empty($ku['last_soil2']))$ku['last_soil2']='';
if($ku['keytime']<=$time){header("Location:/nk");}
if(isset($_GET['gos']))
{
if(isset($mc))
{
mysql_query("UPDATE `kolhoz_user` SET `last_plant2` = '$gos[id_plant2]' WHERE `id` = '$ku[id]'");
header("Location:/mycellar");
exit;
}
else err_game("Для начала вступите в колхоз.");
}
include_once 'inc/sellar/change_plant2.php';
include_once 'inc/sellar/change_soil2.php';
include_once 'inc/sellar/cultivator_all2.php';
include_once 'inc/sellar/cultivator2.php';
include_once 'inc/sellar/harvest_all2.php';
include_once 'inc/sellar/harvest2.php';
include_once 'inc/sellar/seat_all2.php';
include_once 'inc/sellar/seat2.php';
include_once 'inc/sellar/clean_polks.php';
include_once 'inc/sellar/new_polka2.php';

if(isset($_GET['leave'])){
if(empty($ku['darja_time'])){
mysql_query("UPDATE `kolhoz_user` SET `darja_time` = '".($ku['darja_leave']+time())."',`darja_leave` = '0' WHERE `id` = '$ku[id]' LIMIT 1");
header("Location:/mycellar");
}
else{
$gtime=$ku['darja_time']-$time;
mysql_query("UPDATE `kolhoz_user` SET `darja_leave` = '$gtime',`darja_time` = '' WHERE `id` = '$ku[id]' LIMIT 1");
header("Location:/mycellar");
echo $gtime;
}
}
echo "<div class='eventfarm'>".($conf['balans']==1?"<div style='text-align:right;padding:4px;' class='small'>
<span><span class='nobr'><img width='16' height='16' src='/images/icons/money.png' alt=''/> <span class='title'>$ku[money]</span></span></span>
<span><span class='nobr'><img width='16' height='16' src='/images/icons/ruby.png' alt=''/> <span class='title'>$ku[rubies]</span></span></span>
".($kolhoz_key==1?" <img width='16' height='16' src='images/icons/pkey.png' alt='o'> <a href='?nk'>".time_left($ku['keytime']-$time)."</a>":null)."":"<h1>Погреб<r>".($kolhoz_key==1?" <img width='16' height='16' src='images/icons/pkey.png' alt='o'> <a href='?nk'>".time_left($ku['keytime']-$time)."</a></r>":null)."</h1>")."</div></div>";

if(isset($_SESSION['cp']))
{
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Полки теперь свободны, но сначала протрите их</span></li></ul></div>";
unset($_SESSION['cp']);
}
echo "<div class='content'>";
echo "<div class='block'>";
echo "<div><img width='16' height='16' src='images/icons/refresh.png' alt='o'> <a href='/mycellar/reflesh/".rand(99999,99999999)."'>Обновить</a></div>";
if($ku['scarecrow_time']>$time)echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='/shop-scarecrow'>Пугало</a><span class='minor'> на <span>".time_left($ku['scarecrow_time']-$time)."</span></span></li>";
if($ku['dog_time']>$time)echo "<li><img width='16' height='16' src='images/icons/dog.png' alt=''> <a class='epic' href='/shop-dog'>Собака</a><span class='minor'> $ku[dog_type]% на <span>".time_left($ku['dog_time']-$time)."</span></span></li>";
if($ku['time_drakon']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='/shop-helicopter/3'>Дракон</a><span class='minor'> на <span>".time_left($ku['time_drakon']-$time)."</span></span></li>";
if($ku['darja_time']>$time)echo "<li><img width='16' height='16' alt='' src='images/icons/cook.png'> <a class='epic' href='/shop-worker/id-1'>Работник Дарья</a><span class='minor'> на <span>".time_left($ku['darja_time']-$time)."</span></span></li><li><img width='16' height='16' alt='' src='images/icons/bell.png'> <a class='epic' href='/mycellar/leave'>Уволить работника</a>";
if(!empty($ku['darja_leave']))echo "<li><img width='16' height='16' alt='' src='images/icons/bell.png'> <a class='epic' href='/mycellar/leave'>Вызвать работника</a>";
echo "<ul>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant2` != '0'"),0)!=0 && $ku['harvester2']>0)echo "<div><img width='16' height='16' src='images/icons/har2.png' alt='o'> <a href='/mycellar/harvest_all2'>Собрать все</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]' AND `id_plant2` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator2` = '0'"),0)!=0 && $ku['cultivator2']>0)echo "<div><img width='16' height='16' src='images/icons/dig2.png' alt='o'> <a href='/mycellar/cultivator_all2'>Протереть все</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]' AND `id_plant2` = '0' AND `cultivator2` = '1'"),0)!=0 && $ku['seeder2']>0)echo "<div><img width='16' height='16' src='images/icons/seeder2.png' alt='o'> <a href='/mycellar/seat_all2'>Поставить все</a></div>";
echo "<ul><ul class='ptm'></ul>";
////ГРЯДКИ

if($ku['compact']==1)$ku['str']=5;
if($ku['compact']==0)$ku['str']=500;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]'"),0); 
if ($k_post==0) 
{ 
echo "Список пуст..."; 
} 
$k_page=k_page($k_post,$ku['str']); 
$page=page($k_page); 
$start=$ku['str']*$page-$ku['str']; 
$num=($page-1)*$ku['str']; 
$q=mysql_query("SELECT * FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]' ORDER BY `id` DESC LIMIT $start, $ku[str]"); 
while($post=mysql_fetch_array($q))
{
echo "<li>";
if($post['id_plant2']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2` WHERE `id` = '$post[id_plant2]'"),0)!=0)$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$post[id_plant2]'"));

echo "<li><img width='48' height='48' src='".(!isset($plant2)?"".($post['cultivator2']==1?"images/icons/polka.png":"images/icons/polka.png")."":"images/sellar/$plant2[image].gif")."' alt='o' class='portrait'>";
echo "<div>";
echo "".(!isset($plant2)?"<span class='title'>".($post['cultivator2']==1?"Чистая полка":"Пыльная полка")."</span>":"<span  class='title'>".hsc($plant2['name'])."</span>".($post['time']>$time?"<span class='small minor'> <br/>(Будет готово через <span> ".time_left($post['time']-$time)."</span>)</span>":null)."")."";
echo "</div>";
echo "<div>";
if(isset($plant2))
{
if($post['time']<=$time)
{
echo "<img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='/mycellar/harvest2-$post[id]'>На рынок</a>";
}
else
{
if($ku['last_soil2']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_soil2` WHERE `id` = '$ku[last_soil2]'"),0)!=0)$ls=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_soil2` WHERE `id` = '$ku[last_soil2]'"));
}
}
else
{
echo "<span>";
if($ku['last_plant2']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2` WHERE `id` = '$ku[last_plant2]'"),0)!=0)$lp=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$ku[last_plant2]'"));
echo "".($post['cultivator2']==1?"<img width='16' height='16' src='images/icons/accept.png' alt='o'> ".(isset($lp)?"<a href='/mycellar/seat2-$post[id]/select-$lp[id]'>Поставить <span>".hsc($lp['name'])."</span></a> <a href='/mycellar/seat2-$post[id]'><span></span></a>":"<a href='/mycellar/seat2-$post[id]'>Приготовить</a>")."":"<img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='/mycellar/cultivator2-$post[id]'><span style='title'>Протереть</span></a>")."";
echo "</span>";
}
if(isset($plant2))unset($plant2);
echo "</div><div style='clear:both'></div></li>";
}
if ($k_page>1)str("/?mycellar&",$k_page,$page); // Вывод страниц 

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]'"),0)<20)echo "<li><img width='48' height='48' src='images/icons/polka.png' alt='o' class='portrait'><div><span class='title'>Новая полка</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='/mycellar/new_polka2'>Купить</a> за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span>".cpf(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id_user` = '$ku[id]'"),0))."</span> рубинов</span></div><div style='clear:both'></div></li>";
echo "<ul class='ptm'>";

if($ku['last_plant2']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2` WHERE `id` = '$ku[last_plant2]'"),0)!=0)$lp=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$ku[last_plant2]'"));
if($ku['last_soil2']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_soil2` WHERE `id` = '$ku[last_soil2]'"),0)!=0)$ls=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_soil2` WHERE `id` = '$ku[last_soil2]'"));
echo " <ul class='ptm'>";
echo " <li><img width='16' height='16' src='images/icons/recipes.png' alt='o'> <a href='/mycellar/change_plant2'>Последняя заготовка</a>: <span>".(isset($lp)?"".hsc($lp['name'])."":"отсутствует")."</span></li>";
echo "<li><img width='16' height='16' src='images/icons/book.png' alt='o'> <a href='/help-recipes'>Книга рецептов</a></li>";
echo "<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> <a href='/mycellar/clean_polks'>Освободить полки</a></li>";
if(isset($mc))echo "<li class='pt'><li><img width='16' height='16' src='images/icons/heli4n.png' alt='o'> <a href='/collective-$mc[id]/hangar'>Вызвать вертолет</a></li>
".($kolhoz_key==1?"<li><img width='16' height='16' src='images/icons/pkey.png' alt='o'> <a href='/nk'>Ключи</a>
</li>":null)."";
//echo "</div>";
include_once 'inc/foot.php';
?>